import { HttpEvent, HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/internal/Observable';
export declare class HttpService {
    private http;
    constructor(http: HttpClient);
    private getNormalizedParams;
    get<T>(url: string, params?: any): Observable<T>;
    file(url: string, params?: any): Observable<HttpEvent<Blob>>;
    post<T>(url: string, model: any, params?: any): Observable<T>;
    put<T>(url: string, model: any, params?: any): Observable<T>;
    delete<T>(url: string, data?: any): Observable<T>;
}
